Bug 440488 - Program crash on start up... possible race condition.
Program crash on start up... possible race condition.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: pitivi (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeffrey C. Ollie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-03 14:56 EDT by Jef Spaleta
Modified: 2009-01-07 04:13 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-06 21:52:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jef Spaleta 2008-04-03 14:56:53 EDT
Description of problem:
pitivi frequently crashes on startup...but not every time.
If I run it under strace, it will not crash.  This suggests a race condition
somewhere, god only knows where exactly. Other gst based programs like totem
aren't crashing for me when opening.


Version-Release number of selected component (if applicable):
pitivi-0.11.1-2.fc9

How reproducible:
~ 50% of the time on my laptop

Steps to Reproduce:
1. open pitivi in a terminal 
2. watch for the gui to crash before it completely draws (~50% of the time)
3. terminal error message produced when crash occurs:

sys:1: Warning: invalid unclassed pointer in cast to `GstBuffer'

(pitivi:4536): GStreamer-CRITICAL **: gst_mini_object_ref: assertion
`GST_IS_MINI_OBJECT (mini_object)' failed
The program 'pitivi' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadValue (integer parameter out of range for operation)'.
  (Details: serial 156 error_code 2 request_code 140 minor_code 19)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
Comment 1 Bug Zapper 2008-05-14 04:38:09 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Peter Janakiev 2008-07-03 15:15:21 EDT
I can confirm the bug under Fedora 9 (i386):



The program 'pitivi' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadValue (integer parameter out of range for operation)'.
  (Details: serial 95 error_code 2 request_code 140 minor_code 19)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
Comment 3 Fedora Update System 2008-10-13 12:35:24 EDT
pitivi-0.11.1.4-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/pitivi-0.11.1.4-1.fc9
Comment 4 Fedora Update System 2008-10-15 16:13:58 EDT
pitivi-0.11.2-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/pitivi-0.11.2-1.fc9
Comment 5 Fedora Update System 2008-10-15 22:05:28 EDT
pitivi-0.11.1.4-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pitivi'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-8809
Comment 6 Fedora Update System 2008-11-06 21:52:44 EST
pitivi-0.11.2-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-12-04 09:27:22 EST
pitivi-0.11.2.2-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/pitivi-0.11.2.2-2.fc9
Comment 8 Fedora Update System 2008-12-15 10:05:02 EST
pitivi-0.11.3-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/pitivi-0.11.3-1.fc9
Comment 9 Fedora Update System 2009-01-07 04:13:46 EST
pitivi-0.11.3-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.